Get all survey responders
get
/fscmRestApi/resources/11.13.18.05/supplierQualifications/{supplierQualificationsUniqID}/child/surveyResponders
Request
Path Parameters
-
supplierQualificationsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Supplier Qualifications resource and used to uniquely identify an instance of Supplier Qualifications. The client should not generate the hash key value. Instead, the client should query on the Supplier Qualifications collection resource in order to navigate to a specific instance of Supplier Qualifications to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the survey responder with the specified primary key.
Finder Variables- DataSourceId; integer; Unique identifier of the survey responder.
- PrimaryKey Finds the survey responder with the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- DataSourceId; integer; Unique identifier of the document from the source system, such as Questionnaire Response Header ID.
- InternalRespondentId; integer; Unique identifier of the internal responder.
- InternalRespondentName; string; Name of the internal responder.
- QualificationId; integer; Unique identifier of the supplier qualification for the internal responder.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : supplierQualifications-surveyResponders
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : supplierQualifications-surveyResponders-item-response
Type:
Show Source
object-
DataSourceId: integer
(int64)
Read Only:
trueUnique identifier of the document from the source system, such as Questionnaire Response Header ID. -
InternalRespondentId: integer
(int64)
Read Only:
trueUnique identifier of the internal responder. -
InternalRespondentName: string
Read Only:
trueMaximum Length:240Name of the internal responder. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
QualificationId: integer
(int64)
Read Only:
trueUnique identifier of the supplier qualification for the internal responder. -
questionResponses: array
Survey Question Responses
Title:
Survey Question ResponsesResponses from internal responders for survey questions. For example, responses can capture an evaluator's answer to a supplier qualification question.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Survey Question Responses
Type:
arrayTitle:
Survey Question ResponsesResponses from internal responders for survey questions. For example, responses can capture an evaluator's answer to a supplier qualification question.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : supplierQualifications-surveyResponders-questionResponses-item-response
Type:
Show Source
object-
AcceptanceDate: string
(date-time)
Read Only:
trueDate when the response to the question was accepted. -
AcceptanceNote: string
Read Only:
trueMaximum Length:1000Note entered at the time of acceptance. -
AcceptedBy: integer
(int64)
Read Only:
trueUser who accepted the qualification response. -
AggregateRecordMappingId: integer
(int64)
Read Only:
trueUnique identifier of the mapping between the aggregate survey response and the individual responses. -
DataSourceId: integer
(int64)
Read Only:
trueUnique identifier of the document from the source system, such as Questionnaire Response Header ID. -
DataSourceType: string
Read Only:
trueMaximum Length:30Source system that captured the response from the internal responder. -
InternalRespondentId: integer
(int64)
Read Only:
trueUnique identifier of the internal responder. -
InternalRespondentName: string
Title:
NameRead Only:trueMaximum Length:240Name of the internal responder who submitted the survey response. -
LatestResponseFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether this is the latest response. Contains one of the following values: true or false. If true, then this is the latest response. If false, then this isn't the latest response. This attribute doesn't have a default value. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MergeRequestId: integer
(int64)
Read Only:
trueUnique identifier of the merge request. -
OriginalQuestionId: integer
(int64)
Read Only:
trueUnique identifier of the original question. -
QuestionId: integer
(int64)
Read Only:
trueUnique identifier of the question. -
QuestionTypeCode: string
Title:
Question TypeRead Only:trueMaximum Length:30Code that identifies the question type. -
ResponseComments: string
Maximum Length:
1000Comments entered for the response. -
ResponseRepositoryId: integer
(int64)
Read Only:
trueUnique identifier of the response repository. -
ResponseScore: number
Score for the question response.
-
ResponseSubmissionDate: string
(date-time)
Read Only:
trueDate when the response was submitted. -
ResponseTypeCode: string
Read Only:
trueMaximum Length:30Type of response for questions that use text entry. -
responseValues: array
Survey Question Response Values
Title:
Survey Question Response ValuesA response value for each question in a survey questionnaire. For example, a value can store a selected answer for a questionnaire response. -
SupplierId: integer
(int64)
Read Only:
trueUnique identifier of the supplier. -
SupplierSiteId: integer
(int64)
Read Only:
trueUnique identifier of the supplier site. -
SurveyResponseId: integer
(int64)
Read Only:
trueUnique identifier of the survey question response.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Survey Question Response Values
Type:
arrayTitle:
Survey Question Response ValuesA response value for each question in a survey questionnaire. For example, a value can store a selected answer for a questionnaire response.
Show Source
Nested Schema : supplierQualifications-surveyResponders-questionResponses-responseValues-item-response
Type:
Show Source
object-
AcceptableResponseId: integer
(int64)
Read Only:
trueUnique identifier of the acceptable response. -
AcceptableResponseText: string
Read Only:
trueMaximum Length:1000Text of the acceptable response. -
CriticalResponseFlag: boolean
Read Only:
trueMaximum Length:1Indicates whether the response is critical. Contains one of the following values: true or false. If true, then the response is critical. If false, then the response isn't critical. This attribute doesn't have a default value. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
responseAttachments: array
Attachments
Title:
AttachmentsThe attachments resource is used to view, create, and update attachments. -
ResponseValueDate: string
(date)
Read Only:
trueThe date when the response value is provided for a question setup with a date response type. -
ResponseValueDatetime: string
(date-time)
Read Only:
trueDate and time value for a question setup with a date and time response type. -
ResponseValueNumber: number
Read Only:
trueNumber entered for a manually entered question response. -
ResponseValueText: string
Read Only:
trueMaximum Length:4000Text of a manually entered question response. -
SurveyResponseId: integer
(int64)
Read Only:
trueUnique identifier of the survey question response. -
SurveyResponseValueId: integer
(int64)
Read Only:
trueUnique identifier of the survey question response value.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Attachments
Type:
arrayTitle:
AttachmentsThe attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : supplierQualifications-surveyResponders-questionResponses-responseValues-responseAttachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAttribute provided for the exclusive use by the Attachment UI components to assist in uploading files. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdThe unique identifier of the attached document. -
CategoryName: string
Title:
CategoryMaximum Length:30The category of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255The user who created the record. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueThe user name who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the record was created. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEA value that indicates the data type. -
Description: string
Title:
DescriptionMaximum Length:255The description of the attachment. -
DmDocumentId: string
Maximum Length:
255The document ID from which the attachment is created. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000The folder path from which the attachment is created. -
DmVersionNumber: string
Maximum Length:
255The document version number from which the attachment is created. -
DownloadInfo: string
Title:
DownloadInfoJSON object represented as a string containing information used to programmatically retrieve a file attachment. -
ErrorStatusCode: string
Title:
Error Status CodeThe error code, if any, for the attachment. -
ErrorStatusMessage: string
Title:
Error Status MessageThe error message, if any, for the attachment. -
ExpirationDate: string
(date-time)
Title:
Expiration DateThe expiration date of the contents in the attachment. -
FileContents: string
(byte)
Title:
File ContentsThe contents of the attachment. -
FileName: string
Title:
File NameMaximum Length:2048The file name of the attachment. -
FileUrl: string
Title:
File UrlThe URI of the file. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueThe base64 encoded image of the file displayed in .png format if the source is a convertible image. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the record was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255The user who last updated the record. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueThe user name who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionThe name of the action that can be performed after an attachment is uploaded. -
Title: string
Title:
TitleThe title of the attachment. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeThe content type of the attachment. -
UploadedFileLength: integer
Title:
File SizeThe size of the attachment file. -
UploadedFileName: string
Title:
Uploaded File NameThe name to assign to a new attachment file. -
UploadedText: string
Title:
Uploaded TextThe text content for a new text attachment. -
Uri: string
Title:
UriMaximum Length:4000The URI of a Topology Manager type attachment. -
Url: string
Title:
UrlMaximum Length:4000The URL of a web page type attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255The login credentials of the user who created the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source